
#ifndef SMSCPU_H
#define SMSCPU_H

//#define ASMZ80         // usa o z80 do gens ao invs do marat

#include <windows.h>

#ifdef ASMZ80
#include "sz80.h"
#else
#include "maratz80\\smsz80.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

void __fastcall SMS_CPU_Init(void);
#ifdef ASMZ80
void __fastcall SMS_Map_Mem(WORD address, BYTE data);
void __fastcall SMS_Map_Mem_W(WORD address, WORD data);
#endif

extern LPBYTE z80_read_map[8];
extern LPBYTE z80_write_map[8];

#ifdef __cplusplus
}
#endif

#endif // SMSCPU_H
