
#ifndef _SMSREND_H_
#define _SMSREND_H_

// formato de cor usado pelo gens (16 bits 555 ou 565)
#define MAKE_PIXEL(r, g, b) \
  ( Mode_555 ? (((r << 7) & 0x7C00) | ((g << 2) & 0x03F0) | ((b >> 3) & 0x001F)) : \
               (((r << 8) & 0xF800) | ((g << 3) & 0x07E0) | ((b >> 3) & 0x001F)) )

#define BACKDROP_COLOR      (0x10 | (SMS_VDP.reg[7] & 0x0F))

#ifdef __cplusplus
extern "C" {
#endif

extern BYTE vram_dirty[0x200];
extern BYTE is_vram_dirty;

void __fastcall render_init(void);
void __fastcall render_reset(void);
void __fastcall render_bg_gg(int line);
void __fastcall render_bg_sms(int line);
void __fastcall render_obj(int line);
void __fastcall update_cache(void);
void __fastcall palette_sync(int index);

extern void (__fastcall *render_line)(int line);

#ifdef __cplusplus
}
#endif

#endif // _SMSREND_H_
