#ifndef _MEM_Z80_H
#define _MEM_Z80_H

#include <windows.h>

#ifdef __cplusplus
extern "C" {
#endif

extern BYTE Ram_Z80[8 * 1024];
extern int Bank_Z80;

BYTE Z80_ReadB(DWORD Adr);
WORD Z80_ReadW(DWORD Adr);
void Z80_WriteB(DWORD Adr, BYTE Data);
void Z80_WriteW(DWORD Adr, WORD Data);

BYTE __fastcall Z80_ReadB_Bad(DWORD Adr);
BYTE __fastcall Z80_ReadB_Ram(DWORD Adr);
BYTE __fastcall Z80_ReadB_Bank(DWORD Adr);
BYTE __fastcall Z80_ReadB_YM2612(DWORD Adr);
BYTE __fastcall Z80_ReadB_PSG(DWORD Adr);
BYTE __fastcall Z80_ReadB_68K_Ram(DWORD Adr);

WORD __fastcall Z80_ReadW_Bad(DWORD Adr);
WORD __fastcall Z80_ReadW_Ram(DWORD Adr);
WORD __fastcall Z80_ReadW_Bank(DWORD Adr);
WORD __fastcall Z80_ReadW_YM2612(DWORD Adr);
WORD __fastcall Z80_ReadW_PSG(DWORD Adr);
WORD __fastcall Z80_ReadW_68K_Ram(DWORD Adr);

void __fastcall Z80_WriteB_Bad(DWORD Adr, BYTE Data);
void __fastcall Z80_WriteB_Ram(DWORD Adr, BYTE Data);
void __fastcall Z80_WriteB_Bank(DWORD Adr, BYTE Data);
void __fastcall Z80_WriteB_YM2612(DWORD Adr, BYTE Data);
void __fastcall Z80_WriteB_PSG(DWORD Adr, BYTE Data);
void __fastcall Z80_WriteB_68K_Ram(DWORD Adr, BYTE Data);

void __fastcall Z80_WriteW_Bad(DWORD Adr, WORD Data);
void __fastcall Z80_WriteW_Bank(DWORD Adr, WORD Data);
void __fastcall Z80_WriteW_Ram(DWORD Adr, WORD Data);
void __fastcall Z80_WriteW_YM2612(DWORD Adr, WORD Data);
void __fastcall Z80_WriteW_PSG(DWORD Adr, WORD Data);
void __fastcall Z80_WriteW_68K_Ram(DWORD Adr, WORD Data);


#ifdef __cplusplus
};
#endif

#endif
