/* cheatsproc.cpp - parte do projeto gens+. Rodrigo Cardoso
   Contm os procedures das janelas relacionadas as funes de cheats. */

#include "gmain.h"
#include "resource.h"
#include "cheats.h"
#include "grom.h"
#include "Mem_Z80.h"
#include "Mem_M68k.h"
#include "state.h"

FILE *Cheats_File = NULL;

extern "C" int Genesis_Started, _32X_Started, SegaCD_Started, SMS_Started;

void __stdcall copy_ram_to_state_buffer(void)
{
  int i;
  if(Genesis_Started || _32X_Started || SegaCD_Started)
  {
    for(i = 0; i < 0x2000; i += 2)
    { State_Buffer[i + 1] = Ram_Z80[i + 0];
      State_Buffer[i + 0] = Ram_Z80[i + 1]; }
    for(i = 0; i < 0x10000; i += 2)
    { State_Buffer[i + 0x2000 + 1] = Ram_68k[i + 0];
      State_Buffer[i + 0x2000 + 0] = Ram_68k[i + 1]; }
  }
  else if(SMS_Started)
  {
    for(i = 0; i < 0x2000; i++) State_Buffer[i] = Ram_Z80[0x2000 - 1 - i];
  }
}

void __stdcall copy_state_buffer_to_ram(void)
{
  int i;
  if(Genesis_Started || _32X_Started || SegaCD_Started)
  {
    for(i = 0; i < 0x2000; i += 2) 
    { Ram_Z80[i + 0] = State_Buffer[i + 1];
      Ram_Z80[i + 1] = State_Buffer[i + 0]; }
    for(i = 0; i < 0x10000; i += 2)
    { Ram_68k[i + 0] = State_Buffer[i + 0x2000 + 1];
      Ram_68k[i + 1] = State_Buffer[i + 0x2000 + 0]; }
  }
  else if(SMS_Started)
  {
    for(i = 0; i < 0x2000; i++) Ram_Z80[0x2000 - 1 - i] = State_Buffer[i];
  }
}

void __stdcall copy_value_to_buffer(DWORD adr, DWORD value, DWORD type)
{
  if(adr > 0x12000)                     return;
  else if(adr > 0x02000 && SMS_Started) return;

  switch(type)
  {
    case CFT_DWORD:
      State_Buffer[adr + 3] = LOBYTE(value);
      State_Buffer[adr + 2] = HIBYTE(value);
      State_Buffer[adr + 1] = LOBYTE(HIWORD(value));
      State_Buffer[adr + 0] = HIBYTE(HIWORD(value));
      break;
    case CFT_WORD:
      State_Buffer[adr + 1] = LOBYTE(value);
      State_Buffer[adr + 0] = HIBYTE(value);
      break;
    case CFT_BYTE:
      State_Buffer[adr] = LOBYTE(value);
      break;
  }
}

DWORD __stdcall get_value_from_buffer(DWORD adr, DWORD type)
{
  DWORD value;

  if(adr > 0x12000)                     return 0;
  else if(adr > 0x02000 && SMS_Started) return 0;

  value = 0;
  switch(type)
  {
    case CFT_DWORD:
      value = MAKELONG(MAKEWORD(State_Buffer[adr + 3], State_Buffer[adr + 2]),
        MAKEWORD(State_Buffer[adr + 1], State_Buffer[adr + 0]));
      break;
    case CFT_WORD:
      value = MAKEWORD(State_Buffer[adr + 1], State_Buffer[adr + 0]);
      break;
    case CFT_BYTE:
      value = (DWORD)State_Buffer[adr];
      break;
  }
  return value;
}

BOOL __stdcall get_current_value_hdr(HWND hDlg, LPVALUEHDR phdr)
{
  int i, adr;
  i = SendDlgItemMessage(hDlg, IDC_LISTBOX_CHEATS, LB_GETCURSEL, 0, 0);
  if(i < 0) return FALSE;
  adr = SendDlgItemMessage(hDlg, IDC_LISTBOX_CHEATS, LB_GETITEMDATA, i, 0);
  if(fseek(Cheats_File, adr, SEEK_SET)) return FALSE;
  return (fread(phdr, sizeof(VALUEHDR), 1, Cheats_File) == 1);
}

BOOL __stdcall init_cheats_dlg(HWND hDlg)
{
  SBUFFER s;
  DWORD   buf[4], d;
  int     c, i;

  if(!Cheats_File) return FALSE;
  // conferindo o identificador e a verso do arquivo
  if(fread(buf, 8, 1, Cheats_File) != 1)               return FALSE;
  if(buf[0] != CCFILE_TYPE || buf[1] > CCFILE_VERSION) return FALSE;
  i = 0;
  // lendo o arquivo
  while(fread(&d, 4, 1, Cheats_File) == 1)
  {
    switch(d)
    {
      case CFI_TABLE:
        if(fread(buf, 4, 1, Cheats_File) != 1) return FALSE;
        if(fseek(Cheats_File, *buf, SEEK_CUR)) return FALSE;
        break;
      case CFI_VALUE:
        if(fread(buf, 16, 1, Cheats_File) != 1) return FALSE;
        d = ftell(Cheats_File) - 20;
        if(d & 0x80000000) return FALSE;
        s.reset_content();
        while(c = getc(Cheats_File)) { if(c == EOF) return FALSE; s.put_char(c); }
        SendDlgItemMessage(hDlg, IDC_LISTBOX_CHEATS, LB_INSERTSTRING, i, (LPARAM)s.ptr);
        SendDlgItemMessage(hDlg, IDC_LISTBOX_CHEATS, LB_SETITEMDATA, i++, d);
        break;
      default:
        return FALSE;
    }
  }
  SendDlgItemMessage(hDlg, IDC_LISTBOX_CHEATS, LB_SETCURSEL, -1, 0);

  return TRUE;
}

LRESULT CALLBACK CheatsProc(HWND hDlg, UINT uMes, WPARAM wParam, LPARAM lParam)
{
  DWORD    id;
  VALUEHDR vhdr;
  TABLEHDR thdr;
  int      i, j;

  switch(uMes)
  {
    case WM_INITDIALOG:
      copy_ram_to_state_buffer();
      Center_Dialog(hDlg);
      if(!init_cheats_dlg(hDlg)) { EndDialog(hDlg, 0); return 0; }
      return 1;

    case WM_CLOSE:
      EndDialog(hDlg, 0);
      break;

    case WM_COMMAND:
      id = LOWORD(wParam);
      switch(id)
      {
        case ID_OK:    // boto OK
          copy_state_buffer_to_ram();
        case IDCANCEL: // boto cancel
          EndDialog(hDlg, 0);
          break;

        case IDC_LISTBOX_CHEATS:
          if(HIWORD(wParam) == LBN_SELCHANGE)
          {
            int  value;
            char str[16];
            get_current_value_hdr(hDlg, &vhdr);
            SendDlgItemMessage(hDlg, IDC_COMBOBOX_CHEATS, CB_RESETCONTENT, 0, 0);
            if(vhdr.dwType == CFT_TABLE)
            {
              SBUFFER s;
              int     c;
              if(fseek(Cheats_File, vhdr.dwTable, SEEK_SET)) break;
              if(fread(&thdr, sizeof(TABLEHDR), 1, Cheats_File) != 1) break;
              value = get_value_from_buffer(vhdr.dwAdr, thdr.dwType);
              for(i = 0; i < (int)thdr.nItems; i++)
              {
                s.reset_content();
                while(c = getc(Cheats_File)) { if(c == EOF) return 0; s.put_char(c); }
                if(fread(&j, 4, 1, Cheats_File) != 1) break;
                SendDlgItemMessage(hDlg, IDC_COMBOBOX_CHEATS, CB_INSERTSTRING, i,
                  (LPARAM)s.ptr);
                SendDlgItemMessage(hDlg, IDC_COMBOBOX_CHEATS, CB_SETITEMDATA, i, j);
                if(value == j)
                  SendDlgItemMessage(hDlg, IDC_COMBOBOX_CHEATS, CB_SETCURSEL, i, 0);
              }
            }
            else
            {
              value = get_value_from_buffer(vhdr.dwAdr, vhdr.dwType);
              if(SendDlgItemMessage(hDlg, IDC_CHECK_SHOWHEX, BM_GETCHECK, 0, 0))
                sprintf(str, "0x%.8X", value);
              else
                sprintf(str, "%u", value);
              SetDlgItemText(hDlg, IDC_COMBOBOX_CHEATS, str);
            }
            SetFocus(GetDlgItem(hDlg, IDC_COMBOBOX_CHEATS));
          }
          break;

        case IDOK:     // boto save
          get_current_value_hdr(hDlg, &vhdr);
          if(vhdr.dwType == CFT_TABLE)
          {
            if(SendDlgItemMessage(hDlg, IDC_COMBOBOX_CHEATS, CB_GETCOUNT, 0, 0))
            {
              if(fseek(Cheats_File, vhdr.dwTable, SEEK_SET)) break;
              if(fread(&thdr, sizeof(TABLEHDR), 1, Cheats_File) != 1) break;
              i = SendDlgItemMessage(hDlg, IDC_COMBOBOX_CHEATS, CB_GETCURSEL, 0, 0);
              if(i < 0) break;
              j = SendDlgItemMessage(hDlg, IDC_COMBOBOX_CHEATS, CB_GETITEMDATA, i, 0);
            }
            else j = 0;
            i = thdr.dwType;
          }
          else
          {
            LPSTR ptr;
            i = SendDlgItemMessage(hDlg, IDC_COMBOBOX_CHEATS, WM_GETTEXTLENGTH, 0, 0);
            ptr = (LPSTR)malloc(i + 1);
            if(!ptr) break;
            GetDlgItemText(hDlg, IDC_COMBOBOX_CHEATS, ptr, i + 1);
            i = Str2Int(ptr, (LPDWORD)&j);
            free(ptr);
            if(!i) break;
            i = vhdr.dwType;
          }
          copy_value_to_buffer(vhdr.dwAdr, j, i);
          break;

        default:
          break;
      }
      break;

    default:
      break;
  }

  return 0;
}


void __stdcall Save_Ram(void)
{
  HANDLE       file;
  OPENFILENAME ofn;
  DWORD        d;
  const char   filter[] = "Binary RAM file (*.ram)\0*.ram\0All files (*.*)\0*.*\0\0";
  const char   def_ext[] = "ram";
  char         name[GMAX_PATH];

  if(!(*Rom_Name)) return;

  SetCurrentDirectory(Gens_Path);
  sprintf(name, "%s%s", Rom_Name, ".ram");
  memset(&ofn, 0, sizeof(OPENFILENAME));
  ofn.lStructSize     = sizeof(OPENFILENAME);
  ofn.hwndOwner       = ghWnd;
  ofn.Flags           = OFN_OVERWRITEPROMPT | OFN_HIDEREADONLY;
  ofn.lpstrFile       = name;
  ofn.nMaxFile        = GMAX_PATH;
  ofn.lpstrInitialDir = Gens_Path;
  ofn.lpstrFilter     = filter;
  ofn.lpstrDefExt     = def_ext;
  if(!GetSaveFileName(&ofn)) return;

  file = CreateFile(name, GENERIC_WRITE, 0, NULL, CREATE_ALWAYS, FILE_ATTRIBUTE_ARCHIVE, NULL);
  if(!file) return;
  copy_ram_to_state_buffer();
  WriteFile(file, State_Buffer, SMS_Started ? 0x02000 : 0x12000, &d, NULL);
  CloseHandle(file);
}


LRESULT CALLBACK SearchValueProc(HWND hDlg, UINT uMes, WPARAM wParam, LPARAM lParam)
{
  int   i, j, k, l;
  DWORD dwID, mval, cval;
  FILE *f;
  OPENFILENAME ofn;
  LPSTR ptr;

  switch(uMes)
  {
    case WM_INITDIALOG:
      copy_ram_to_state_buffer();
      Center_Dialog(hDlg);
      SendDlgItemMessage(hDlg, IDC_COMBOBOX_TYPE, CB_INSERTSTRING, 0, (LPARAM)"word");
      SendDlgItemMessage(hDlg, IDC_COMBOBOX_TYPE, CB_SETITEMDATA,  0, CFT_WORD);
      SendDlgItemMessage(hDlg, IDC_COMBOBOX_TYPE, CB_INSERTSTRING, 1, (LPARAM)"dword");
      SendDlgItemMessage(hDlg, IDC_COMBOBOX_TYPE, CB_SETITEMDATA,  1, CFT_DWORD);
      SendDlgItemMessage(hDlg, IDC_COMBOBOX_TYPE, CB_INSERTSTRING, 2, (LPARAM)"byte");
      SendDlgItemMessage(hDlg, IDC_COMBOBOX_TYPE, CB_SETITEMDATA,  2, CFT_BYTE);
      SendDlgItemMessage(hDlg, IDC_COMBOBOX_TYPE, CB_SETCURSEL, 0, 0);
      return 1;

    case WM_CLOSE:
      EndDialog(hDlg, 0);
      break;

    case WM_COMMAND:
      dwID = LOWORD(wParam);
      switch(dwID)
      {
        case IDC_BUTTON_SAVERESULTS:
          memset(&ofn, 0, sizeof(OPENFILENAME));
          strcpy(Str_Tmp, Gens_Path);
          strcat(Str_Tmp, Rom_Name);
          strcat(Str_Tmp, ".txt");
          ofn.lStructSize = sizeof(OPENFILENAME);
          ofn.hwndOwner   = hDlg;
          ofn.nMaxFile    = 1024;
          ofn.lpstrFile   = Str_Tmp;
          ofn.lpstrFilter = "Text files (*.txt)\0*.txt\0All files (*.*)\0*.*\0\0";
          ofn.lpstrDefExt = "txt";
          ofn.Flags       = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT;
          if(!GetSaveFileName(&ofn)) break;
          f = fopen(Str_Tmp, "wt");
          if(!f) break;
          j = SendDlgItemMessage(hDlg, IDC_LISTBOX_RESULTS, LB_GETCOUNT, 0, 0);
          for(i = 0; i < j; i++)
          {
            k = SendDlgItemMessage(hDlg, IDC_LISTBOX_RESULTS, LB_GETITEMDATA, i, 0);
            fprintf(f, "0x%8.8X\n", k);
          }
          fclose(f);
          break;

        case IDC_BUTTON_SEARCH:
          i = SendDlgItemMessage(hDlg, IDC_EDIT_VALUE, WM_GETTEXTLENGTH, 0, 0);
          ptr = (LPSTR)malloc(i + 1);
          if(!ptr) break;
          GetDlgItemText(hDlg, IDC_EDIT_VALUE, ptr, i + 1);
          i = Str2Int(ptr, &cval);
          free(ptr);
          if(!i) break;
          SendDlgItemMessage(hDlg, IDC_LISTBOX_RESULTS, LB_RESETCONTENT, 0, 0);
          i = SendDlgItemMessage(hDlg, IDC_COMBOBOX_TYPE, CB_GETCURSEL, 0, 0);
          if(i < 0) break;
          j = SendDlgItemMessage(hDlg, IDC_COMBOBOX_TYPE, CB_GETITEMDATA, i, 0);
          switch(j)
          {
            case CFT_BYTE:
              int max;
              cval &= 0xFF;
              l = 0;
              max = SMS_Started ? 0x02000 : 0x12000;
              for(k = 0; k < max; k++)
              {
                mval = (DWORD)State_Buffer[k];
                if(cval == mval)
                { sprintf(Str_Tmp, "0x%8.8X (%i)", k, k);
                  SendDlgItemMessage(hDlg, IDC_LISTBOX_RESULTS, LB_INSERTSTRING, l, (LPARAM)Str_Tmp);
                  SendDlgItemMessage(hDlg, IDC_LISTBOX_RESULTS, LB_SETITEMDATA, l++, k); }
              }
              break;
            case CFT_WORD:
              l = 0;
              for(k = 0; k < 0x12000 - 1; k++)
              {
                mval = MAKEWORD(State_Buffer[k + 1], State_Buffer[k + 0]);
                if(cval == mval)
                { sprintf(Str_Tmp, "0x%8.8X (%i)", k, k);
                  SendDlgItemMessage(hDlg, IDC_LISTBOX_RESULTS, LB_INSERTSTRING, l, (LPARAM)Str_Tmp);
                  SendDlgItemMessage(hDlg, IDC_LISTBOX_RESULTS, LB_SETITEMDATA, l++, k); }
              }
              break;
            case CFT_DWORD:
              l = 0;
              for(k = 0; k < 0x12000 - 3; k++)
              {
                mval = MAKELONG(MAKEWORD(State_Buffer[k + 3], State_Buffer[k + 2]),
                  MAKEWORD(State_Buffer[k + 1], State_Buffer[k + 0]));
                if(mval == cval)
                { sprintf(Str_Tmp, "0x%8.8X (%i)", k, k);
                  SendDlgItemMessage(hDlg, IDC_LISTBOX_RESULTS, LB_INSERTSTRING, l, (LPARAM)Str_Tmp);
                  SendDlgItemMessage(hDlg, IDC_LISTBOX_RESULTS, LB_SETITEMDATA, l++, k); }
              }
              break;
          }
          break;

        case IDOK:
          copy_state_buffer_to_ram();
        case IDCANCEL:
          EndDialog(hDlg, 0);
          break;

        case IDC_LISTBOX_RESULTS:
          if(HIWORD(wParam) == LBN_SELCHANGE)
          {
            i = SendDlgItemMessage(hDlg, IDC_LISTBOX_RESULTS, LB_GETCURSEL, 0, 0);
            if(i < 0) return 0;
            j = SendDlgItemMessage(hDlg, IDC_LISTBOX_RESULTS, LB_GETITEMDATA, i, 0);
            k = SendDlgItemMessage(hDlg, IDC_COMBOBOX_TYPE, CB_GETCURSEL, 0, 0);
            if(k < 0) return 0;
            l = SendDlgItemMessage(hDlg, IDC_COMBOBOX_TYPE, CB_GETITEMDATA, k, 0);
            cval = get_value_from_buffer(j, l);
            SetDlgItemInt(hDlg, IDC_EDIT_VALUE, cval, FALSE);
          }
          break;

        case IDC_BUTTON_CHANGE:
          i = SendDlgItemMessage(hDlg, IDC_EDIT_VALUE, WM_GETTEXTLENGTH, 0, 0);
          ptr = (LPSTR)malloc(i + 1);
          if(!ptr) break;
          GetDlgItemText(hDlg, IDC_EDIT_VALUE, ptr, i + 1);
          i = Str2Int(ptr, &cval);
          free(ptr);
          if(!i) break;
          i = SendDlgItemMessage(hDlg, IDC_LISTBOX_RESULTS, LB_GETCURSEL, 0, 0);
          if(i < 0) break;
          j = SendDlgItemMessage(hDlg, IDC_LISTBOX_RESULTS, LB_GETITEMDATA, i, 0);
          k = SendDlgItemMessage(hDlg, IDC_COMBOBOX_TYPE, CB_GETCURSEL, 0, 0);
          if(k < 0) break;
          l = SendDlgItemMessage(hDlg, IDC_COMBOBOX_TYPE, CB_GETITEMDATA, k, 0);
          copy_value_to_buffer(j, cval, l);
          break;
      }
      break;
  }

  return 0;
}
