#ifndef _BLIT_H_
#define _BLIT_H_

#include <windows.h>

#ifdef __cplusplus
extern "C" {
#endif

// bliter normal 320x240
void __cdecl Blit_X1          (LPBYTE, int, int, int, int);
void __cdecl Blit_X1_MMX      (LPBYTE, int, int, int, int);

// bliters 2x
void __cdecl Blit_X2          (LPBYTE, int, int, int, int);
void __cdecl Blit_X2_MMX      (LPBYTE, int, int, int, int);

void __cdecl Blit_X2_Int      (LPBYTE, int, int, int, int);
void __cdecl Blit_X2_Int_MMX  (LPBYTE, int, int, int, int);

void __cdecl Blit_Scanline    (LPBYTE, int, int, int, int);
void __cdecl Blit_Scanline_MMX(LPBYTE, int, int, int, int);

void __cdecl Blit_Scanline_Int    (LPBYTE, int, int, int, int);
void __cdecl Blit_Scanline_Int_MMX(LPBYTE, int, int, int, int);

void __cdecl Blit_Scale2x     (LPBYTE, int, int, int, int);
void __cdecl Blit_Scale2x_MMX (LPBYTE, int, int, int, int);

void __cdecl Blit_Scanline_50_MMX    (LPBYTE, int, int, int, int);
void __cdecl Blit_Scanline_50_Int_MMX(LPBYTE, int, int, int, int);
void __cdecl Blit_Scanline_25_MMX    (LPBYTE, int, int, int, int);
void __cdecl Blit_Scanline_25_Int_MMX(LPBYTE, int, int, int, int);
void __cdecl Blit_2xSAI_MMX          (LPBYTE, int, int, int, int);
void __cdecl Blit_Super2xSAI_MMX     (LPBYTE, int, int, int, int);
void __cdecl Blit_2xSuperEagle_MMX   (LPBYTE, int, int, int, int);
void __cdecl Blit_HQ2x_MMX           (LPBYTE, int, int, int, int);

// bliters 3x
void __cdecl Blit_X3       (LPBYTE, int, int, int, int);
void __cdecl Blit_X3_MMX   (LPBYTE, int, int, int, int);

void __cdecl Blit_X3_Int   (LPBYTE, int, int, int, int);

void __cdecl Blit_Scale3x  (LPBYTE, int, int, int, int);

void __cdecl Blit_HQ3x_MMX (LPBYTE, int, int, int, int);

void __stdcall Blit_HQ2x_InitLUTs(void);

#ifdef __cplusplus
};
#endif

#endif